Read the session log
Experimental durable session event log. Reads events after an exclusive aggregate sequence and continues with live events when follow=true.
GET
/api/experimental/session/{sessionID}/logPath parameters
sessionIDobjectrequiredQuery parameters
afterstring | anyfollowstring | anyResponses
200Success
idstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anyeventstringrequireddataSessionLogItemStreamrequired400InvalidRequestError
_tagstringrequiredAllowed:
InvalidRequestErrormessagestringrequiredkindstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldstring | anyShow propertiesHide properties
Any of:
string
stringany
any401UnauthorizedError
_tagstringrequiredAllowed:
UnauthorizedErrormessagestringrequired404SessionNotFoundError
Any of:
SessionNotFoundError
_tagstringrequiredAllowed:
SessionNotFoundErrorsessionIDstringrequiredmessagestringrequiredSessionNotFoundError
_tagstringrequiredAllowed:
SessionNotFoundErrorsessionIDstringrequiredmessagestringrequiredRequest
curl -X GET "/api/experimental/session/%5Bobject%20Object%5D/log"const response = await fetch("/api/experimental/session/%5Bobject%20Object%5D/log", {
method: "GET"
});import requests
response = requests.get(
"/api/experimental/session/%5Bobject%20Object%5D/log",
)Response
{
"id": "string",
"event": "string",
"data": "string"
}{
"_tag": "InvalidRequestError",
"message": "string",
"kind": "string",
"field": "string"
}{
"_tag": "UnauthorizedError",
"message": "string"
}{
"_tag": "SessionNotFoundError",
"sessionID": "string",
"message": "string"
}